function [outputArg] = plot_brakes(panel, pltData, tr)
    % create tiledlayout (R2023a and newer)
    tl = tiledlayout(panel,"vertical");
    
    % plot 1: speed
    ax1 = nexttile(tl);
    hold(ax1, "on")
    grid(ax1, "on")
    title(ax1, "Speed [km/h]")
    plot(ax1,pltData.xAxis(tr,:),pltData.speed_kph(tr,:))

    % plot 2: brake pressure front/rear [bar]
    ax2 = nexttile(tl);
    hold(ax2, "on")
    grid(ax2, "on")
    title(ax2, "Brake Pressure F/R [bar]")
    plot(ax2,pltData.xAxis(tr,:),pltData.brakePFront_bar(tr,:))
    plot(ax2,pltData.xAxis(tr,:),pltData.brakePRear_bar(tr,:))
    legend(ax2, "Front", "Rear")

    % plot 3: longitudinal acceleration [g]
    ax3 = nexttile(tl);
    hold(ax3, "on")
    grid(ax3, "on")
    title(ax3, "Long Acc [g]")
    plot(ax3,pltData.xAxis(tr,:),pltData.acc_long_g(tr,:))

    % plot 4: Brake Temp [°C]
    ax4 = nexttile(tl);
    hold(ax4, "on")
    grid(ax4, "on")
    title(ax4, "Brake Temp [°C]")
    plot(ax4,pltData.xAxis(tr,:),pltData.brakeTFrontLeft_degC(tr,:))
    plot(ax4,pltData.xAxis(tr,:),pltData.brakeTFrontRight_degC(tr,:))
    plot(ax4,pltData.xAxis(tr,:),pltData.brakeTRearLeft_degC(tr,:))
    plot(ax4,pltData.xAxis(tr,:),pltData.brakeTRearRight_degC(tr,:))
    legend(ax4, "FL", "FR", "RL", "RR")
    
    % plot 5: brake bias [%]
    ax5 = nexttile(tl);
    hold(ax5, "on")
    grid(ax5, "on")
    title(ax5, "Brake Bias [%]")
    plot(ax5,pltData.xAxis(tr,:),pltData.brakeBias_perc(tr,:))

    % link all x axes
    linkaxes([ax1, ax2, ax3, ax4, ax5],"x")


    % return null (not relevant for plots!)
    outputArg = [];
end

